nxt

## Interface Transaction

-     public interface Transaction

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Interface and Description
    --- | ---
    `static interface` | `Transaction.Builder`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `long` | `getAmountNQT()`
    `java.util.List<? extends Appendix>` | `getAppendages()`
    `java.util.List<? extends Appendix>` | `getAppendages(boolean includeExpiredPrunable)`
    `java.util.List<? extends Appendix>` | `getAppendages(Filter<Appendix> filter, boolean includeExpiredPrunable)`
    `Attachment` | `getAttachment()`
    `Block` | `getBlock()`
    `long` | `getBlockId()`
    `int` | `getBlockTimestamp()`
    `byte[]` | `getBytes()`
    `short` | `getDeadline()`
    `int` | `getECBlockHeight()`
    `long` | `getECBlockId()`
    `Appendix.EncryptedMessage` | `getEncryptedMessage()`
    `Appendix.EncryptToSelfMessage` | `getEncryptToSelfMessage()`
    `int` | `getExpiration()`
    `long` | `getFeeNQT()`
    `java.lang.String` | `getFullHash()`
    `int` | `getFullSize()`
    `int` | `getHeight()`
    `long` | `getId()`
    `short` | `getIndex()`
    `org.json.simple.JSONObject` | `getJSONObject()`
    `Appendix.Message` | `getMessage()`
    `Appendix.Phasing` | `getPhasing()`
    `org.json.simple.JSONObject` | `getPrunableAttachmentJSON()`
    `Appendix.PrunableEncryptedMessage` | `getPrunableEncryptedMessage()`
    `Appendix.PrunablePlainMessage` | `getPrunablePlainMessage()`
    `long` | `getRecipientId()`
    `java.lang.String` | `getReferencedTransactionFullHash()`
    `long` | `getSenderId()`
    `byte[]` | `getSenderPublicKey()`
    `byte[]` | `getSignature()`
    `java.lang.String` | `getStringId()`
    `int` | `getTimestamp()`
    `TransactionType` | `getType()`
    `byte[]` | `getUnsignedBytes()`
    `byte` | `getVersion()`
    `void` | `validate()`
    `boolean` | `verifySignature()`

- - ### Method Detail

    - #### getId

          long getId()

    - #### getStringId

          java.lang.String getStringId()

    - #### getSenderId

          long getSenderId()

    - #### getSenderPublicKey

          byte[] getSenderPublicKey()

    - #### getRecipientId

          long getRecipientId()

    - #### getHeight

          int getHeight()

    - #### getBlockId

          long getBlockId()

    - #### getBlock

          Block getBlock()

    - #### getIndex

          short getIndex()

    - #### getTimestamp

          int getTimestamp()

    - #### getBlockTimestamp

          int getBlockTimestamp()

    - #### getDeadline

          short getDeadline()

    - #### getExpiration

          int getExpiration()

    - #### getAmountNQT

          long getAmountNQT()

    - #### getFeeNQT

          long getFeeNQT()

    - #### getReferencedTransactionFullHash

          java.lang.String getReferencedTransactionFullHash()

    - #### getSignature

          byte[] getSignature()

    - #### getFullHash

          java.lang.String getFullHash()

    - #### getType

          TransactionType getType()

    - #### getAttachment

          Attachment getAttachment()

    - #### verifySignature

          boolean verifySignature()

    - #### validate

          void validate()
                 throws NxtException.ValidationException

      Throws:
        `NxtException.ValidationException`

    - #### getBytes

          byte[] getBytes()

    - #### getUnsignedBytes

          byte[] getUnsignedBytes()

    - #### getJSONObject

          org.json.simple.JSONObject getJSONObject()

    - #### getPrunableAttachmentJSON

          org.json.simple.JSONObject getPrunableAttachmentJSON()

    - #### getVersion

          byte getVersion()

    - #### getFullSize

          int getFullSize()

    - #### getMessage

          Appendix.Message getMessage()

    - #### getEncryptedMessage

          Appendix.EncryptedMessage getEncryptedMessage()

    - #### getEncryptToSelfMessage

          Appendix.EncryptToSelfMessage getEncryptToSelfMessage()

    - #### getPhasing

          Appendix.Phasing getPhasing()

    - #### getPrunablePlainMessage

          Appendix.PrunablePlainMessage getPrunablePlainMessage()

    - #### getPrunableEncryptedMessage

          Appendix.PrunableEncryptedMessage getPrunableEncryptedMessage()

    - #### getAppendages

          java.util.List<? extends Appendix> getAppendages()

    - #### getAppendages

          java.util.List<? extends Appendix> getAppendages(boolean includeExpiredPrunable)

    - #### getAppendages

          java.util.List<? extends Appendix> getAppendages(Filter<Appendix> filter,
                                                           boolean includeExpiredPrunable)

    - #### getECBlockHeight

          int getECBlockHeight()

    - #### getECBlockId

          long getECBlockId()